Skip to content

Flow Collection.

POST
/api/data/namespaces/system/flows/flow_collection
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/flows/flow_collection \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "field_selector": [ "BYTES" ], "filter": "example", "group_by": [ "SITE" ], "limit": 1, "sort_by": [ { "sort_direction": "SORT_DIRECTION_DESC", "sort_label": "SORT_LABEL_NONE" } ], "start_time": "example" }'

Request to GET flow collection from the flow records.

Examples of this operation.

Media typeapplication/json
Top Talkers Request
object
end_time
End time

End time of flow collection Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
field_selector
Field Selector

Select fields to be returned in the response.

Required: YES.

Array<string>
>= 1 items <= 8 items
Allowed values: BYTES PACKETS DROPPED_PACKETS TX_BYTES TX_PACKETS TX_DROPPED_PACKETS FLOW_COUNT
filter
Label Filter

\site-1”,“site-2”)}” filter is used to specify the list of matchers syntax for filter := {[]} :=

Optional: If not specified, counter will be aggregated based on the group_by labels.

string
<= 1024 characters
group_by
Group by

Aggregate data by labels specified in the group_by field.

Array<string>
Allowed values: SITE SRC_IP SRC_PORT DST_IP DST_PORT PROTOCOL APP_NAME NFV_SERVICE NFV_SERVICE_INSTANCE NFV_SERVICE_INSTANCE_HOSTNAME SRC_SITE DST_SITE SRC_PROVIDER_TYPE DST_PROVIDER_TYPE SRC_SUBNET DST_SUBNET SRC_NETWORK DST_NETWORK CLOUD_CONNECT ANOMALY_LEVEL
limit
Limit

Limits the number of results.

integer format: int64
sort_by
Sort by

Sort the data by specified fields, in the given direction.

Array<object>
SortBy

Sorting for data by given fields.

object
sort_direction
string
default: SORT_DIRECTION_DESC
Allowed values: SORT_DIRECTION_DESC SORT_DIRECTION_ASC
sort_label
string
default: SORT_LABEL_NONE
Allowed values: SORT_LABEL_NONE SORT_LABEL_BYTES SORT_LABEL_FLOW_COUNT SORT_LABEL_ANOMALY_LEVEL SORT_LABEL_ANOMALY_DURATION
start_time
Start time

Start time of flow collection Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters

A successful response.

Media typeapplication/json
Top Talkers Response
object
data
FlowData

FlowData wraps the response for the flow request.

Array<object>
FlowData

FlowData wraps all the response data.

object
data
Data

Flows data.

Array<object>
Field Data

Field Data contains key/value pairs that uniquely identifies the group_by labels specified in the request.

object
labels
Labels

Labels contains the name/value pair. “name” is the label defined in Labels.

object
value
Value

List of metric values.

Array<object>
>= 3 characters <= 15 characters
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: BYTES
Allowed values: BYTES PACKETS DROPPED_PACKETS TX_BYTES TX_PACKETS TX_DROPPED_PACKETS FLOW_COUNT
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
Example
{
"data": [
{
"data": [
{
"value": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example